package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	"enterprise/server"
	_ "enterprise/service/salary_calculator"
	"enterprise/worker"
)

func main() {
	config.LoadServerConfig()
	config.LoadAliPay()
	global.InitGlobal()

	if err := worker.InitCorp(1000); err != nil {
		panic(err)
	}

	if err := server.Start(); err != nil {
		panic(err)
	}
}
